Subject: Re: [PATCH 5/6] PowerPC 440EPx: Sequoia board support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 03 Aug 2007 22:35:36 +1000

> Depends on interpretation. IIRC currently the same die is used for 440EPx and 
> 440GRx. I could be wrong here though and it is just a bug in the chip. But 
> anyway we should support this somehow. Could be that I missed this in the 
> current 440GRx (Rainier) arch/ppc support too. I have to admit, that no 
> clever solution comes to my mind right away though.

We can always come up with some kind of runtime detection, by turning on
MSR:FP, issuing an fp instruction and catching the illegal instruction
fault if any :-)

Ben.